#ifndef __KCM_LIQUID_H
#define __KCM_LIQUID_H

#include <kcmodule.h>
#include <kstddirs.h>
#include <kcolorbutton.h>
#include <qpushbutton.h>

class QSlider;
class KColorButton;
class QGroupBox;
class QVButtonGroup;
class QRadioButton;
class QCheckBox;

#define LIQUID_MENU_CHANGE 667

class LiquidConfig : public KCModule
{
    Q_OBJECT
public:
    enum Buttons{None=0, StippledBg, StippledBtn, TransStippleBg,
        TransStippleBtn, Custom};
    LiquidConfig(QWidget *parent=0, const char *name=0);
    ~LiquidConfig();
    void save();
    void load();
    void defaults();
protected slots:
    void slotBtnGroupClicked(int id);

    void slotColorOptionChanged();
    void slotUsePanelCustomClicked(bool on);
    void slotPanelColorChanged(const QColor &c);
protected:
    QSlider *opacitySlider;
    KColorButton *colorBtn;
    KColorButton *fgBtn;
    QGroupBox *editGroup;
    QVButtonGroup *btnGroup;
    QCheckBox *shadowBtn;

    QCheckBox *stippleBgBtn, *stipplePanelBtn;
    QCheckBox *usePanelCustomBtn, *reverseColorBtn;
    KColorButton *panelColorBtn;
    QCheckBox *htmlRectangularBtn;
};




#endif


